Get operational agent status
curl --request GET \
--url https://www.citedy.com/api/agent/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.citedy.com/api/agent/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.citedy.com/api/agent/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summary": {
"ready_to_create": true,
"ready_to_publish": true,
"blockers_count": 1,
"warnings_count": 1
},
"billing": {
"credits_available": 123,
"topup_url": "<string>"
},
"social": {
"connected_count": 1,
"connected_platforms": [
{
"platform": "<string>",
"account_name": "<string>"
}
],
"default_platforms": [
"<string>"
],
"missing_default_platforms": [
"<string>"
],
"connect_url": "<string>"
},
"schedule": {
"timezone": "<string>",
"posts_per_day_target": 2,
"next_publish_at": "2023-11-07T05:31:56Z",
"scheduled_24h": 1,
"scheduled_7d": 1,
"gaps_count_7d": 1,
"calendar_url": "<string>"
},
"knowledge": {
"has_documents": true,
"documents_count": 1,
"last_document_at": "2023-11-07T05:31:56Z",
"add_documents_command": "<string>",
"add_documents_url": "<string>"
},
"content": {
"has_content": true,
"total_items": 1,
"latest_article_at": "2023-11-07T05:31:56Z",
"latest_post_at": "2023-11-07T05:31:56Z",
"create_post_command": "<string>",
"create_article_command": "<string>"
},
"tenant": {
"blog_url": "<string>",
"blog_handle": "<string>"
},
"actions": [
{
"title": "<string>",
"message": "<string>",
"command": "<string>",
"url": "<string>"
}
],
"generated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Status
Get operational agent status
Returns actionable status snapshot for credits, social connections, schedule, knowledge base and content readiness.
GET
/
api
/
agent
/
status
Get operational agent status
Authorizations
Bearer citedy_agent_* key
Response
Status snapshot
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
